<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::settings::SettingObserverInterface&lt; SettingT &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html">settings</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_observer_interface.html">SettingObserverInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1settings_1_1_setting_observer_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::settings::SettingObserverInterface&lt; SettingT &gt; Class Template Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_setting_observer_interface_8h_source.html">SettingObserverInterface.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::settings::SettingObserverInterface&lt; SettingT &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1settings_1_1_setting_observer_interface__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1settings_1_1_setting_observer_interface_3_01_setting_t_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1settings_1_1_setting_observer_interface_3_01_setting_t_01_4_inherit__map" id="alexa_client_s_d_k_1_1settings_1_1_setting_observer_interface_3_01_setting_t_01_4_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_observer.html" title="alexaClientSDK::settings\l::test::MockSettingObserver\l\&lt; SettingT \&gt;" alt="" coords="5,105,191,157"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a105d4eb0ce214ae7ca12e7a36438ce94"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_observer_interface.html#a105d4eb0ce214ae7ca12e7a36438ce94">~SettingObserverInterface</a> ()=default</td></tr>
<tr class="separator:a105d4eb0ce214ae7ca12e7a36438ce94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16bc3ebfb9f7cb851c915e519ef548bf"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_observer_interface.html#a16bc3ebfb9f7cb851c915e519ef548bf">onSettingNotification</a> (const typename SettingT::ValueType &amp;value, <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a65b348e86299aa3f3fcdf4a5f924e025">SettingNotifications</a> notification)=0</td></tr>
<tr class="separator:a16bc3ebfb9f7cb851c915e519ef548bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a4fc8091739714838655397c21d161880"><td class="memItemLeft" align="right" valign="top">friend&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_observer_interface.html#a4fc8091739714838655397c21d161880">SettingT</a></td></tr>
<tr class="memdesc:a4fc8091739714838655397c21d161880"><td class="mdescLeft">&#160;</td><td class="mdescRight">Only objects from SettingT can call the value change notification.  <a href="#a4fc8091739714838655397c21d161880">More...</a><br /></td></tr>
<tr class="separator:a4fc8091739714838655397c21d161880"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename SettingT&gt;<br />
class alexaClientSDK::settings::SettingObserverInterface&lt; SettingT &gt;</h3>

<p class="">Base definition of SettingObserver.</p>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">SettingT</td><td>The setting type to be observed. </td></tr>
  </table>
  </dd>
</dl>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a105d4eb0ce214ae7ca12e7a36438ce94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a105d4eb0ce214ae7ca12e7a36438ce94">&#9670;&nbsp;</a></span>~SettingObserverInterface()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename SettingT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_observer_interface.html">alexaClientSDK::settings::SettingObserverInterface</a>&lt; <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_observer_interface.html#a4fc8091739714838655397c21d161880">SettingT</a> &gt;::~<a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_observer_interface.html">SettingObserverInterface</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">The virtual destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a16bc3ebfb9f7cb851c915e519ef548bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16bc3ebfb9f7cb851c915e519ef548bf">&#9670;&nbsp;</a></span>onSettingNotification()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename SettingT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_observer_interface.html">alexaClientSDK::settings::SettingObserverInterface</a>&lt; <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_observer_interface.html#a4fc8091739714838655397c21d161880">SettingT</a> &gt;::onSettingNotification </td>
          <td>(</td>
          <td class="paramtype">const typename SettingT::ValueType &amp;&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a65b348e86299aa3f3fcdf4a5f924e025">SettingNotifications</a>&#160;</td>
          <td class="paramname"><em>notification</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Function called when the observed setting is called.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>The current value of the setting. For <code>LOCAL_CHANGE</code> and <code>AVS_CHANGE</code>, the value should be the same as the one requested. </td></tr>
    <tr><td class="paramname">notification</td><td>The notification type. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a4fc8091739714838655397c21d161880"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fc8091739714838655397c21d161880">&#9670;&nbsp;</a></span>SettingT</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename SettingT &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">friend <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_observer_interface.html">alexaClientSDK::settings::SettingObserverInterface</a>&lt; SettingT &gt;::SettingT</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Only objects from SettingT can call the value change notification. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/Settings/include/Settings/<a class="el" href="_setting_observer_interface_8h_source.html">SettingObserverInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
